SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001815SiT!sites & contactspublic2012-10-30 10:002012-11-17 14:23
Reporterginorh 
Assigned ToTomse 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product Version3.67 LTS 
Target Version3.68Fixed in VersionCurrent SVN 
Summary0001815: Application Warning [512] received on contacts.php
DescriptionWhen performing a search with the "Browse contacts:" field empty I received this message "Application Warning [512]: Unexpected input in base.inc.php @ line 382 trigger_error() clean_fixed_list()"


I have however resolved this on my system by editing the contact.php file on line 25.
Changed $submit_value = clean_fixed_list($_REQUEST['submit'], array('','go'));
to $submit_value = clean_fixed_list($_REQUEST['submit_value'], array('','go'));
Steps To ReproducePerforming a search on the contacts page with the search field empty reproduces this error.



Additional InformationI have checked the config.php file in the SVN repository and revision 7499 also needs this change. If I am incorrect and this breaks something else in the system the I apologize. it works for me though.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0001819closed browse contacts error 

-  Notes
User avatar (0004559)
Tomse (developer)
2012-10-30 14:30

I've seen this
User avatar (0004560)
Tomse (developer)
2012-10-30 14:55

this is fixed in SVN 7578/7549

unfortunately your fix isn't a fix, but it opens up for a security issue.
you might want to integrate this fix instead

thanks for the report though.

- Issue History
Date Modified Username Field Change
2012-10-30 10:00 ginorh New Issue
2012-10-30 14:30 Tomse Note Added: 0004559
2012-10-30 14:30 Tomse Assigned To => Tomse
2012-10-30 14:30 Tomse Status new => confirmed
2012-10-30 14:55 Tomse Note Added: 0004560
2012-10-30 14:55 Tomse Status confirmed => resolved
2012-10-30 14:55 Tomse Fixed in Version => Current SVN
2012-10-30 14:55 Tomse Resolution open => fixed
2012-11-03 10:51 ivan Target Version => 3.68
2012-11-17 14:23 paulh Relationship added has duplicate 0001819


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker